// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of cresce.api;

class ProvidedModel {
  /// Returns a new [ProvidedModel] instance.
  ProvidedModel({
    required this.date,
  });

  final DateTime date;

  @override
  bool operator ==(Object other) =>
      identical(this, other) || other is ProvidedModel && other.date == date;

  @override
  int get hashCode => date.hashCode;

  @override
  String toString() => 'ProvidedModel[date=$date]';

  Map<String, dynamic> toJson() {
    final json = <String, dynamic>{};
    json[r'date'] = date.toUtc().toIso8601String();
    return json;
  }

  /// Returns a new [ProvidedModel] instance and imports its values from
  /// [value] if it's a [Map], null otherwise.
  // ignore: prefer_constructors_over_static_methods
  static ProvidedModel fromJson(dynamic value) {
    final json = value.cast<String, dynamic>();
    return ProvidedModel(
      date: mapDateTime(json, r'date', '')!,
    );
  }

  static Map<String, ProvidedModel> mapFromJson(dynamic json) {
    final map = <String, ProvidedModel>{};
    if (json is Map && json.isNotEmpty) {
      json.cast<String, dynamic>().forEach(
          (key, dynamic value) => map[key] = ProvidedModel.fromJson(value));
    }
    return map;
  }
}
