import 'package:cresce_api/api.dart';
import 'package:test/test.dart';

import 'api_client_factory.dart';

void main() {
  group(ServicesApi, () {
    test('getting services returns services', () async {
      var api = ServicesApi();

      var result = await api.getServices(authorization: await loginEmployee());

      expect(result, [
        ServiceModel(
          id: 1,
          name: 'Development',
          image: getImageSample(),
          value: 30.0,
          shared: false,
        ),
        ServiceModel(
          id: 2,
          name: 'Co-Development',
          image: getImageSample(),
          value: 30.0,
          shared: true,
        ),
      ]);
    });
  });
}
