import 'package:cresce_api/api.dart';
import 'package:test/test.dart';

import 'api_client_factory.dart';

void main() {
  group(CustomersApi, () {
    test('getting customers returns customers', () async {
      var api = CustomersApi();

      var result = await api.getCustomers(authorization: await loginEmployee());

      expect(result, [
        CustomerModel(
          id: 1,
          name: 'Diogo Quintas',
          image: getImageSample(),
        ),
        CustomerModel(
          id: 2,
          name: 'Conta Corrente',
          image: getImageSample(),
        ),
      ]);
    });
  });
}
